Subject: Re: linux-next: build failure after merge of the nand tree

From: Alex Dewar <[email-masked]>
Date: Mon, 14 Sep 2020 10:50:41 +0100

On Mon, Sep 14, 2020 at 11:45:52AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the nand tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/mtd/nand/onenand/onenand_omap2.c:27:10: fatal error: asm/mach/flash.h: No such file or directory
>    27 | #include <asm/mach/flash.h>
>       |          ^~~~~~~~~~~~~~~~~~
> 
> Caused by commit
> 
>   26e1a8efc63d ("mtd: onenand: omap2: Allow for compile-testing on !ARM")
> 
> I have reverted that commit for today.

Gah, sorry :(. I definitely *tried* to build test it, but I must have
messed up and built the wrong tree or something.

Apologies,
Alex

> -- 
> Cheers,
> Stephen Rothwell